package com.ruoyi.web.work.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author lsw
 * @date 2024-04-19
 */
@Data
@TableName(value = "tb_packages")
@Accessors(chain = true)
public class Packages {
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "关联用户")
    private Long userId;

    @NotNull(message = "参数错误")
    @ApiModelProperty(value = "关联项目")
    private Long projectId;

    @ApiModelProperty(value = "状态:0=已接包,1=已完成")
    private Integer state;

    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField(fill = FieldFill.UPDATE)
    private String updateBy;

    @TableField(fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @TableField(exist = false)
    @ApiModelProperty(value = "姓名")
    private String name;

    @TableField(exist = false)
    @ApiModelProperty(value = "手机号")
    private Long phone;

    @TableField(exist = false)
    @ApiModelProperty(value = "身份证")
    private String idCard;

    @TableField(exist = false)
    @ApiModelProperty(value = "开户行")
    private String bankName;

    @TableField(exist = false)
    @ApiModelProperty(value = "银行卡账号")
    private String bankAccount;

    @TableField(exist = false)
    @ApiModelProperty(value = "支付宝")
    private String alipay;


}
